Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.settings
Class SettingsFrameworkTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.archive.util.TmpDirTestCase
                  org.archive.crawler.settings.SettingsFrameworkTestCase

All Implemented Interfaces:
  junit.framework.Test, ValueErrorHandler

    public abstract class SettingsFrameworkTestCase

extends TmpDirTestCase
implements ValueErrorHandler

Set up a couple of settings to test different functions of the settings framework.

Author:
  John Erik Halse

Field Summary
`protected XMLSettingsHandler` | `settingsHandler`

Constructor Summary
`SettingsFrameworkTestCase()`

Method Summary
`CrawlerSettings` | `getGlobalSettings()`
`CrawlURI` | `getMatchDomainURI()`
`CrawlURI` | `getMatchHostURI()`
`java.io.File` | `getOrderFile()`
`CrawlerSettings` | `getPerDomainSettings()`
`CrawlerSettings` | `getPerHostSettings()`
`java.io.File` | `getSettingsDir()`
`XMLSettingsHandler` | `getSettingsHandler()`
`CrawlURI` | `getUnMatchedURI()`
`void` | `handleValueError(Constraint.FailedCheck error)`
`protected void` | `setUp()`
`protected void` | `tearDown()`

Methods inherited from class org.archive.util.TmpDirTestCase
`cleanUpOldFiles, cleanUpOldFiles, getTmpDir`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### settingsHandler

    protected XMLSettingsHandler settingsHandler

Constructor Detail

### SettingsFrameworkTestCase

    public SettingsFrameworkTestCase()

Method Detail

### setUp

    protected void setUp()
                  throws java.lang.Exception

  Overrides:
    `setUp` in class `TmpDirTestCase`
  Throws:
    `java.lang.Exception`

### tearDown

    protected void tearDown()
                     throws java.lang.Exception

  Overrides:
    `tearDown` in class `junit.framework.TestCase`
  Throws:
    `java.lang.Exception`

### getGlobalSettings

    public CrawlerSettings getGlobalSettings()

  Returns:
    global settings

### getPerDomainSettings

    public CrawlerSettings getPerDomainSettings()

  Returns:
    per domain settings

### getPerHostSettings

    public CrawlerSettings getPerHostSettings()

  Returns:
    per host settings

### getSettingsHandler

    public XMLSettingsHandler getSettingsHandler()

  Returns:
    settings handler

### getOrderFile

    public java.io.File getOrderFile()

  Returns:
    the order file

### getSettingsDir

    public java.io.File getSettingsDir()

  Returns:
    the settings directory

### getMatchDomainURI

    public CrawlURI getMatchDomainURI()

  Returns:
    a uri matching the domain settings

### getMatchHostURI

    public CrawlURI getMatchHostURI()

  Returns:
    a uri matching the per host settings

### getUnMatchedURI

    public CrawlURI getUnMatchedURI()

  Returns:
    a uri that doesn't match any settings object except globals.

### handleValueError

    public void handleValueError(Constraint.FailedCheck error)

  Specified by:
    `handleValueError` in interface `ValueErrorHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.